Subject: Re: Realtek 8169 Lock-ups

From: Douglas Pollock <[email-masked]>
Date: Fri, 23 Jan 2004 08:00:57 -0500

Francois,

Many apologies.  It was my own stupidity.  I've sorted things out, and
am now running 2.6.1-bk1 with your patchset.

With SMP enabled, I get a timeout from the watchdog and my network
connection becomes unresponsive.  In fact, during boot the DHCPC server
times out looking for an IP address.

I tried changing (boguscnt > 0) to (1 > 0) and this made no difference.

Both of these tests were run with 1000 9014-byte packets.

Even with SMP disabled, and even with the patches not applied, there seems to be problems (this is on 2.6.1-bk1).  Perhaps I just wasn't seeing them earlier.  Basically, sometimes the packet generator completes normally the first time.  Sometimes, it does not.  Either way, by the second run of the packet generator, the network device stops responding.

I will try the most recent kernel and patch set, and see what problems I get.

Doug.